MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
sc::PW91XFunctional Class Reference

The Perdew-Wang 1991 exchange functional computes energies and densities using the designated local correlation functional. More...

`#include <functional.h>`

Inheritance diagram for sc::PW91XFunctional:

List of all members.

## Public Member Functions

| PW91XFunctional (const Ref< KeyVal > &)
| PW91XFunctional (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
int | need_density_gradient ()
void | point (const PointInputData &, PointOutputData &)

## Protected Member Functions

void | spin_contrib (const PointInputData::SpinData &, double &mpw, double &dmpw_dr, double &dmpw_dg)
void | init_constants ()

## Protected Attributes

double | a
double | b
double | c
double | d
double | a_x

## Detailed Description

The Perdew-Wang 1991 exchange functional computes energies and densities using the designated local correlation functional.

J. P. Perdew, Proceedings of the 75. WE-Heraeus-Seminar and 21st Annual International Symposium on Electronic Structure of Solids held in Gaussig (Germany), March 11-15, 1991, P. Ziesche and H. Eschrig, eds., pp. 11-20.

J. P. Perdew, J. A. Chevary, S. H. Vosko, K. A. Jackson, M. R. Pederson, and D. J. Singh, Phys. Rev. B, 46, 6671, 1992.

## Member Function Documentation

void sc::PW91XFunctional::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::DenFunctional.

The documentation for this class was generated from the following file:

- functional.h